%define upstream_name    Email-Verify-SMTP
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Specify dependencies on external non-Perl things
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::Telnet)
BuildRequires: perl(Net::Nslookup)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
'Email::Verify::Simple' is what I came with when I needed to verify several
email addresses without actually sending them email.

To put that another way:

    *This module verifies email addresses without actually sending email to
    them.*

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1026915
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 943960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 750313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 684632
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 511388
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 366870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 36232
- mageia rebuild
- imported package perl-Email-Verify-SMTP

